%define ver 0.2
%define rel 5mdk
%define prefix /usr

Summary: Drag'n'Drop printing on GNOME
Name: g-print
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Graphical desktop/GNOME
#Icon: g-print-logo.gif
Source0: ftp://ftp.gnome.org/pub/GNOME/g-print/g-print-%{ver}.tar.bz2
Source1: g-print.menu.bz2
Patch: g-print-getoptalpha.patch.bz2
URL: http://www.gnome.org/g-print/
BuildRoot: /var/tmp/g-print-root
Requires: mc >= 4.5.37

%description
g-print (in addition with gmc) puts an icon on your GNOME desktop where
you can drop files to be printed.

%prep
%setup -q
%ifarch alpha
%patch0 -p0
%endif

%build
if [ -x configure ]; then
	./configure --prefix=%{prefix} --sysconfdir=/etc
else
	./autoconf.sh --prefix=%{prefix} --sysconfdir=/etc
fi

#setting RPM_OPT_FLAGS twice seems kinda useless but ok i'm easy to live with :)
if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k" RPM_OPT_FLAGS="$RPM_OPT_FLAGS"; exit 0)
        make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
else
        make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
fi

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/mc/desktop-scripts

make install prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc

ln -s ../../../bin/g-print \
           $RPM_BUILD_ROOT%{prefix}/lib/mc/desktop-scripts/g-print

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/g-print

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{prefix}/bin/g-print
%{prefix}/lib/mc/desktop-scripts/g-print
%{prefix}/share/locale/*/LC_MESSAGES/g-print.mo
%{prefix}/man/man1/g-print.1*
%{prefix}/lib/menu/g-print

%changelog
* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.2-5mdk
- Some specs cleanups
- Changed group
- fix absolute link
- Added Menu

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-4mdk
- Fix to build on alpha.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- make bash pretty so rpm plays nice

* Tue Aug 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version

